Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::VectorLinearInterpolator Class Reference

ベクトル線形補間 More...

`#include <VectorLinearInterpolator.h>`

Inheritance diagram for Lamp::VectorLinearInterpolator:

List of all members.

## Public Member Functions
| VectorLinearInterpolator ()
| コンストラクタ
virtual | ~VectorLinearInterpolator ()
| デストラクタ
| VectorLinearInterpolator (const VectorLinearInterpolator &copy)
| コピーコンストラクタ
virtual VectorLinearInterpolator & | operator= (const VectorLinearInterpolator &copy)
| 代入演算子
virtual VectorInterpolator * | duplicate () const
| 複製
virtual bool | equals (const VectorInterpolator &target) const
| 同じ値かどうか
virtual float | getLength () const
| 長さの取得
virtual AxisAlignedBox | getBoundingBox () const
| バウンディングボックスの取得
virtual Vector3 | interpolate (float time)
| 補間
virtual void | setKeyCount (int keyCount)
| キー数の設定
virtual int | getKeyCount () const
| キー数の取得
virtual void | setKey (int index, float time, const Vector3 &value)
| キーの設定
virtual const Vector3 & | getValue (int index) const
| 値の取得
virtual float | getTime (int index) const
| 時間の取得
virtual bool | isVectorLinearInterpolator () const
| ベクトル線形補間かどうか

## Detailed Description

ベクトル線形補間

Definition at line 36 of file VectorLinearInterpolator.h.

## Constructor & Destructor Documentation

Lamp::VectorLinearInterpolator::VectorLinearInterpolator | ( | const VectorLinearInterpolator & | copy | ) | `[explicit]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 42 of file VectorLinearInterpolator.cpp. References keyCount_, keys_, and NULL.

## Member Function Documentation

virtual VectorInterpolator* Lamp::VectorLinearInterpolator::duplicate | ( |  | ) | const`[inline, virtual]`

| 複製 Returns: 複製されたベクトル補間。呼び出し元でdeleteする必要がある Implements Lamp::VectorInterpolator. Definition at line 67 of file VectorLinearInterpolator.h. References VectorLinearInterpolator().

virtual bool Lamp::VectorLinearInterpolator::equals | ( | const VectorInterpolator & | target | ) | const`[inline, virtual]`

  | 同じ値かどうか Parameters:
  target | 比較対象
Returns: 同じ値ならtrueをかえす Implements Lamp::VectorInterpolator. Definition at line 78 of file VectorLinearInterpolator.h. References Lamp::VectorInterpolator::castVectorLinearInterpolator(), keyCount_, keys_, and NULL.

AxisAlignedBox Lamp::VectorLinearInterpolator::getBoundingBox | ( |  | ) | const`[virtual]`

| バウンディングボックスの取得 Returns: バウンディングボックス Implements Lamp::VectorInterpolator. Definition at line 79 of file VectorLinearInterpolator.cpp. References Lamp::AxisAlignedBox::merge(), and Lamp::AxisAlignedBox::set().

virtual int Lamp::VectorLinearInterpolator::getKeyCount | ( |  | ) | const`[inline, virtual]`

| キー数の取得 Returns: キー数 Definition at line 133 of file VectorLinearInterpolator.h. Referenced by Lamp::TextAnimationSaver::writeVectorLinearInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorLinearInterpolator().

float Lamp::VectorLinearInterpolator::getLength | ( |  | ) | const`[virtual]`

| 長さの取得 Returns: 長さ Implements Lamp::VectorInterpolator. Definition at line 71 of file VectorLinearInterpolator.cpp. References Assert, and NULL. Referenced by interpolate().

virtual float Lamp::VectorLinearInterpolator::getTime | ( | int | index | ) | const`[inline, virtual]`

  | 時間の取得 Parameters:
  index | キーインデックス
Returns: 時間 Definition at line 164 of file VectorLinearInterpolator.h. References Assert, and NULL. Referenced by Lamp::TextAnimationSaver::writeVectorLinearInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorLinearInterpolator().

virtual const Vector3& Lamp::VectorLinearInterpolator::getValue | ( | int | index | ) | const`[inline, virtual]`

  | 値の取得 Parameters:
  index | キーインデックス
Returns: 値 Definition at line 154 of file VectorLinearInterpolator.h. References Assert, and NULL. Referenced by Lamp::TextAnimationSaver::writeVectorLinearInterpolator(), and Lamp::BinaryAnimationSaver::writeVectorLinearInterpolator().

Vector3 Lamp::VectorLinearInterpolator::interpolate | ( | float | time | ) | `[virtual]`

  | 補間 Parameters:
  time | 時間
Returns: 補間されたベクトル Implements Lamp::VectorInterpolator. Definition at line 90 of file VectorLinearInterpolator.cpp. References Assert, getLength(), and NULL.

virtual bool Lamp::VectorLinearInterpolator::isVectorLinearInterpolator | ( |  | ) | const`[inline, virtual]`

| ベクトル線形補間かどうか Returns: ベクトル線形補間ならtrue Reimplemented from Lamp::VectorInterpolator. Definition at line 176 of file VectorLinearInterpolator.h.

VectorLinearInterpolator & Lamp::VectorLinearInterpolator::operator= | ( | const VectorLinearInterpolator & | copy | ) | `[virtual]`

  | 代入演算子 Parameters:
  copy | 代入元
Definition at line 54 of file VectorLinearInterpolator.cpp. References keyCount_, keys_, and SafeArrayDelete.

virtual void Lamp::VectorLinearInterpolator::setKey | ( | int | index,
|  | float | time,
|  | const Vector3 & | value
| ) | `[inline, virtual]`

  | キーの設定 Parameters:
  index | キーインデックス
  time | 時間
  value | 値
Definition at line 142 of file VectorLinearInterpolator.h. References Assert, and NULL. Referenced by Lamp::VectorInterpolationCompressor::compressLinear(), Lamp::TextAnimationLoader::readVectorLinearInterpolator(), and Lamp::BinaryAnimationLoader::readVectorLinearInterpolator().

void Lamp::VectorLinearInterpolator::setKeyCount | ( | int | keyCount | ) | `[virtual]`

  | キー数の設定 Parameters:
  keyCount | キー数
Definition at line 128 of file VectorLinearInterpolator.cpp. References Assert, and SafeArrayDelete. Referenced by Lamp::VectorInterpolationCompressor::compressLinear(), Lamp::TextAnimationLoader::readVectorLinearInterpolator(), and Lamp::BinaryAnimationLoader::readVectorLinearInterpolator().

The documentation for this class was generated from the following files:

- VectorLinearInterpolator.h
- VectorLinearInterpolator.cpp